=== debian/changelog ===
libapache-auth-radius (1.0-2) cistron; urgency=low

  * Compile .so -fPIC.
  * Use './' for dpkg-shlipdeps so it works on potato systems as well.
  * Added build dependency on 'apache-dev'.
  * Removed implicit build dependency on 'apache' and work from the
    'apach-dev' version.
  * Use "set -e" for shell.
  * Removed bashism.
  * Include section (now "web") and priority info in package.

 -- J.H.M. Dassen (Ray) <jdassen@cistron.nl>  Wed, 14 Feb 2001 14:00:01 +0100

libapache-auth-radius (1.0-1) cistron; urgency=low

  * Initial version.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed,  7 Feb 2001 21:10:45 +0100
