=== debian/control ===
Source: libapache-auth-radius
Section: web
Priority: optional
Maintainer: Miquel van Smoorenburg <miquels@cistron.nl>
Build-Depends: apache-dev
Standards-Version: 3.0.0

Package: libapache-auth-radius
Architecture: any
Depends: ${shlibs:Depends}, ${apache:Depends}
Description: Radius authentication module for Apache.
 This Apache module provides Radius authentication. Unlike other
 radius authentication modules, this one actually supports groups.
